## r-cran-tcltk2 1.2

=== DESCRIPTION ===
Package: tcltk2
Type: Package
Version: 1.2-11
Date: 2014-12-19
Title: Tcl/Tk Additions
Author: Philippe Grosjean [aut, cre]
Authors@R: c(person("Philippe", "Grosjean", role = c("aut", "cre"),
  email = "phgrosjean@sciviews.org"))
Maintainer: Philippe Grosjean <phgrosjean@sciviews.org>
Depends: R (>= 2.8.0), tcltk
Suggests: utils
SystemRequirements: Tcl/Tk (>= 8.5), Tktable (>= 2.9, optional)
Description: A series of additional Tcl commands and Tk widgets with style
  and various functions (under Windows: DDE exchange, access to the
  registry and icon manipulation) to supplement the tcltk package
License: LGPL-3 + file LICENSE
URL: http://www.sciviews.org/SciViews-R
BugReports: https://r-forge.r-project.org/tracker/?group_id=194
Packaged: 2014-12-19 16:32:30 UTC; phgrosjean
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-12-20 10:35:06

## r-cran-tcltk2 1.2-11

=== debian/changelog ===
r-cran-tcltk2 (1.2-11-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 May 2020 22:03:00 -0500

r-cran-tcltk2 (1.2-11-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 14:55:42 -0500

r-cran-tcltk2 (1.2-11-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * No-change rebuild for r-api-3.4 transition

 -- Graham Inggs <ginggs@debian.org>  Tue, 03 Oct 2017 12:13:29 +0000

r-cran-tcltk2 (1.2-11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Dec 2014 10:33:37 -0600

r-cran-tcltk2 (1.2-10-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Mar 2014 08:05:27 -0600

r-cran-tcltk2 (1.2-9-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Dec 2013 17:03:11 -0600

r-cran-tcltk2 (1.2-8-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #731631)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Dec 2013 10:46:54 -0600

=== debian/control ===
Source: r-cran-tcltk2
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, tk-table
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-tcltk2
Vcs-Git: https://salsa.debian.org/edd/r-cran-tcltk2.git
Homepage: https://cran.r-project.org/package=tcltk2

Package: r-cran-tcltk2
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, tk-table
Description: GNU R package for Tcl/Tk additions
 A series of additional Tcl commands and Tk widgets with style
 and various functions to supplement the tcltk core package for R.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-tcltk2 package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-tcltk2 1.6.1

=== DESCRIPTION ===
Package: tcltk2
Type: Package
Version: 1.6.1
Date: 2025-06-01
Title: Tcl/Tk Additions
Description: A series of additional Tcl commands and Tk widgets to supplement the tcltk package.
Authors@R: c(person("Philippe", "Grosjean", role = c("aut", "cre"),
  email = "phgrosjean@sciviews.org",
  comment = c(ORCID = "0000-0002-2694-9471")))
Maintainer: Philippe Grosjean <phgrosjean@sciviews.org>
Depends: R (>= 4.2.0), tcltk
Suggests: utils, covr, knitr, rmarkdown
SystemRequirements: Tcl/Tk (>= 8.5), Tktable (>= 2.9, optional)
License: LGPL-3
URL: https://github.com/SciViews/tcltk2/
BugReports: https://github.com/SciViews/tcltk2/issues/
RoxygenNote: 7.3.2
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-US
NeedsCompilation: no
Packaged: 2025-06-01 16:52:06 UTC; phgrosjean
Author: Philippe Grosjean [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-2694-9471>)
Repository: CRAN
Date/Publication: 2025-06-01 17:30:01 UTC

=== debian/changelog ===
r-cran-tcltk2 (1.6.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Jun 2025 12:57:31 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, tk-table
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, tk-table
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-tcltk2
 Vcs-Git: https://salsa.debian.org/edd/r-cran-tcltk2.git
 Homepage: https://cran.r-project.org/package=tcltk2
